# Generated by Django 2.1.13 on 2019-10-14 08:46

from django.db import migrations, models
import django.db.models.deletion
import django_secretary.models
import functools
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Asset',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('content', models.FileField(upload_to=functools.partial(django_secretary.models.make_file_name, *(), **{'prefix': 'assets'}))),
                ('mime_type', models.TextField(choices=[('text/css', 'CSS'), ('image/svg', 'SVG'), ('image/png', 'PNG')])),
            ],
        ),
        migrations.CreateModel(
            name='Template',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('is_active', models.BooleanField(default=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('content', models.FileField(upload_to=functools.partial(django_secretary.models.make_file_name, *(), **{'prefix': 'templates'}))),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='django_secretary.Template')),
            ],
        ),
        migrations.AddField(
            model_name='asset',
            name='template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='django_secretary.Template'),
        ),
        migrations.AddConstraint(
            model_name='template',
            constraint=models.UniqueConstraint(condition=models.Q(is_active=True), fields=('name',), name='django_secretary_active_template'),
        ),
    ]
